Fency.ai
Conversations

Search conversations

POST
/v1/conversations/search

Search conversations by metadata. Filters match string metadata values exactly and string-list metadata by element containment. Numeric and boolean metadata values cannot be matched by search filters. At least one filter is required.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Query Parameters

previousPageToken?string
nextPageToken?string
limit?integer
asc?boolean

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Metadata filters used to search conversations.

Response Body

application/json

curl -X POST "https://example.com/v1/conversations/search" \  -H "Content-Type: application/json" \  -d '{    "metadata": {      "userId": "123",      "projectIds": "project1"    }  }'
{  "items": [    {      "id": "cnv_cf4fe6caa10b4009a8b103d2d5d64042",      "createdAt": "2023-10-01T12:00:00Z",      "title": "How many open tasks per assignee?",      "metadata": {        "organization_id": "org_1234567890",        "allowed_roles": [          "Admin",          "Member"        ],        "size": 1337,        "is_available": true,        "mean_score": 3.14      }    }  ],  "pagination": {    "previousPageToken": "<remove-me>",    "nextPageToken": "YWNlNGM2NjYtYzRiYi00MDk4LWE2MWItNThlNjNkNTlhM2E3"  }}